Skip to main content
POST
Error

Query Parameters

sysidUser
integer<int32>

: Integer ID of the User to update with an image

Body

: MultipartFormDataInput value with the image file information

Uploads an Image file for the User identified by System ID. Images are interpreted into User Image values. A valid image may be a PNG, JPG, TIFF, BMP or other valid image format.

The requesting User must have the following rights to perform this task:

Note: The user must either be the SystemAdmin, or the user's HomeAccount must match the SYSID_Account of the Resource.

This operation requires an application/octet-stream HTTP attachment with appropriate Content-Disposition headers.

This operation may include an OPTIONAL query parameter sysidUser=# . If no query parameter is provided, the operation adds the image to the calling authenticated User's profile.

This operation returns a User Image value with the URL of the image hosted within the AgilQuest CDN.

Response

201 - application/json

UserImage

com.agilquest.phoenix.shared.data.user.UserImage

defaultImage
boolean
required
sysidUserImage
integer<int32>
name
string
width
integer<int32>
height
integer<int32>
description
string
displayOrder
integer<int32>
thumbnailSource
string
imageSource
string